package com.zhentao.controller;

import com.zhentao.dto.NoteDto;
import com.zhentao.dto.Result;
import com.zhentao.dto.UserDto;
import com.zhentao.service.UserLoginService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

@RestController
public class UserController {
    @Autowired
    public UserLoginService service;
    @PostMapping("/login")
    public Result Login(@RequestBody @Valid UserDto userDto){
        return service.login(userDto);
    }
    @PostMapping("/code")
    public Result Login(@RequestBody @Valid NoteDto noteDto){
        return service.note(noteDto);
    }
}
