package com.zhentao.filter;

import com.alibaba.fastjson.JSON;
import com.zhentao.dto.Result;
import org.springframework.stereotype.Component;

import javax.servlet.*;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;

@Component
public class TokenFilter implements Filter {
    @Override
    public void doFilter(ServletRequest servletRequest, ServletResponse servletResponse, FilterChain filterChain) throws IOException, ServletException {
        HttpServletResponse response = (HttpServletResponse) servletResponse;
        HttpServletRequest request = (HttpServletRequest) servletRequest;
        String requestURI = request.getRequestURI();
        System.err.println("发送的请求路径是"+requestURI);
        if (requestURI.equals("/user/denglu")){
            filterChain.doFilter(servletRequest,servletResponse);
            return;
        }
        String token = request.getHeader("Authorization");
        if (token.equals("123")){
            Result result = Result.OK("你没有当前权限，请联系管理员", null);
            String string = JSON.toJSONString(result);
            response.setContentType("application/json;charset=utf-8");
            PrintWriter writer = response.getWriter();
            writer.write(string);
        }
    }
}
